# Get the list of supercase documents

Endpoint: GET /supercases/{supercaseId}/documents
Version: 2025-03-26
Security: oauth2, bearerAuth, apiKeyHeader

## Path parameters:

  - `supercaseId` (string, required)
    The ID of the supercase

## Query parameters:

  - `fetchDetails` (boolean)
    If `true`, returns a list of document objects, if `false` - a list of document IDs.

## Response 200 fields (application/json):

  - `archived` (boolean)
    Set to `true` if the document has been archived.

  - `autogenerated` (boolean)
    `true` if this document is generated automatically by a Peach system, `false` if this
document is created and uploaded manually by a human. If left blank then this value is
guessed from the document type.

  - `contentId` (string)
    The document content identifier. Use this identifier to get the document content.

  - `contentLength` (integer)
    The document content length in bytes.

  - `contentType` (string)
    The document content type. For example, PDF or JPEG.

  - `conversionSourceId` (string)
    The original document identifier that was used as a source for conversion to a specific format.

  - `description` (string)
    The description for the document. Normally displayed in UI.

  - `evidenceId` (string)
    The evidence document identifier. For example: when a borrower enables Autopay, the evidence
document will be the snapshot of UI page.

  - `fileName` (string)
    The file name of the document. If the document is rendered from a template by the Peach system,
the file name will be generated automatically.
If the document is created from a file, it will be the name of the file that was uploaded.
Normally displayed in UI.

  - `isHumanBorrowerUpload` (boolean)
    `true` if this document was uploaded by a human borrower--meaning that a borrower (or
their representative) used a browser to upload this document directly. To put this
another way, this document was *not* uploaded by an agent and was *not* uploaded by any
automated system.

  - `loanId` (string)
    The loan identifier that the documents belongs to.

  - `metaData` (object)
    Store any type of key/value pairs in the form of a JSON dictionary.

  - `personId` (string)
    The borrower's identifier that the documents belongs to.

  - `rejectionReason` (string)
    The reason why the document was rejected. This is a free text. Normally displayed in UI.

  - `sensitiveData` (boolean)
    Set this flag to `true` if this document has sensitive information, such as PII. The flag is used for
proper authorization of access to the information.

  - `status` (string)
    The document status. The status can be displayed in UI.
`draft` - the document was rendered or created but has not accepted or rejected yet.
`accepted` - the document was determined to be valid and was accepted.
`rejected` - the document was determined to be invalid and was rejected.
    Enum: "draft", "accepted", "rejected"

  - `templateVersionId` (string)
    Peach internal template identifier that was used to render the document.

  - `updatedBy` (object)

  - `updatedBy.descriptor` (string)
    Short description of the user who performed the action.
Different systems may have different data available for a given user. The descriptor
gives the best available short description of the user. It prefers names, then email addresses,
then related IDs.
e.g.,
- "Borrower Tim Jones"
- "Borrower BO-ABCD-1234"
- "Peach Service User"
- "Agent Abigail Smith"
- "Agent bob@acme.com"
- "Agent EM-ABCD-1234"
    Example: Agent bob@acme.com

  - `updatedBy.employee` (object)

  - `updatedBy.employee.id` (string)
    The employee's ID

  - `updatedBy.id` (string)
    The unique identifier of the user who performed the action.

  - `updatedBy.name` (string)
    The name of the user who performed the action.

  - `updatedBy.userType` (string)
    The type of the user.
    Enum: "agent", "borrower", "service"

  - `uploadedAt` (string)

  - `verifiedAt` (string)

  - `type` (string)
    The document type.
    Enum: "loanTermsAgreementOnly", "loanTILDisclosureOnly", "loanTermsAndTILCombined", "loanTermsChangeAgreement", "loanAutopayAgreement", "loanStatement", "loanSettlementAgreement", "privacyPolicyLender", "privacyPolicyServicer", "termsOfServiceLender", "termsOfServiceServicer", "caseDocument", "disclosure", "evidence", "otherStatement", "other"

